#include <bits/stdc++.h>

using namespace std;

void provera(int n,int m,int k)
{
    int p;
    int q=n/k;
    p=k*((q*(q+1))/2)+(n%k)*(q+1);
    if(p<=m)
    {
        cout<<"Tak"<<endl;
    }else{
        cout<<"Nie"<<endl;
    }
}

int main()
{
    int t,n,m,k;
    cin>>t;
    for(int i=0;i<t;i++)
    {
        cin>>n>>m>>k;
        provera(n,m,k);
    }
    return 0;
}